export default class ConditionalBlockTransformation {
    constructor(t1, t2, condition) {
        this.t1 = t1;
        this.t2 = t2;
        this.condition = condition;
    }
    transform(block) {
        const t = this.condition(block) ? this.t1 : this.t2;
        return t.transform(block);
    }
}
